QGIS 2.18.15 Joining to 2 tables where second join dependent on first join not working

2017-12-15 12:50 AM - jason ross

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 25594

Description

I have a vector spatial layer read from an ESRI File GDB.  I join a dataset from an Access database to it and it is a successful join.  I then

want to join a second dataset to it coming from the same Access database but based on a field from the first join.  The sources and fields

all show up fine, and the join happens, but none of the values from the second join show up in the attribute table.  I have confirmed the join

and values shoudl work by doing the same process in ArcMap with the same datasets, but doing it in QGIS gives me NULL for all values

in the second table's join to the spatial layer.

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-24 01:09 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Assignee deleted (jason ross)

- Status changed from Feedback to Closed

2025-04-26 1/1


